/*------------------------------------*\
    #PAGE-FOOT
\*------------------------------------*/
/**
 * This is the page footer.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}page-foot,
%#{$inuit-namespace}page-foot {
    @extend %h-center-page;

    // Reset bottom margin that was inherited from the section object
    margin: 2.9411764706rem 0 0 0;
}

.#{$inuit-namespace}page-foot__column,
%#{$inuit-namespace}page-foot__column {
    @include grid-column(
        $columns: 24
    );

    // Apply top and bottom padding
    padding: $inuit-base-space-vertical-small-only 0;

    border-top: 1px solid $frs-color-light-grey;
    text-align: center;

    // Let the second col in a row span 2col more that will be
    // applied as padding …
    &:nth-of-type(2n) {
        @include grid-column(
            $columns: 24
        );
    }

    @media #{$medium-up} {
        @include grid-column(
            $columns: 6
        );
        border-top: 1px solid $frs-color-light-grey;
        padding: 2rem 0;

        &:nth-of-type(2n) {
            @include grid-column(
                $columns: 6
            );
        }
    }

    // On larger screens show all columns side-by-side
    @media #{$large-up} {
        @include grid-column(
            $columns: 4
        );
        border-top: 1px solid $frs-color-light-grey;
        text-align: left;

        // Give the first column an offset of 2 grid-units
        &:first-of-type {
            @include grid-column(
                $columns: 4
            );
        }

        // Reset the width defined in the $medium-up MQ
        &:nth-of-type(2n) {
            @include grid-column(
                $columns: 4
            );
        }
    }

    &--large {
        @include grid-column(
            $columns: 24
        );
        text-align: center;

        @media #{$medium-up} {
            @include grid-column(
                $columns: 24
            );

        }

        @media #{$large-up} {
            @include grid-column(
                $columns: 8
            );
            text-align: right;
        }
    }
}

@if $theme == "reloaded" {
    .c-page--fullwidth {
        .c-page--fullwidth {
            width:100%;
        }
    }
    .#{$inuit-namespace}page-footer,
    %#{$inuit-namespace}page-footer {
        background: $frs-color-white;
        @media #{$xlarge-up}{
            max-width: 1920px;
        }
    }
}
